import Component from '../../component.js'
import { elementAttributeContains } from '../../../core/utils.js'

export default class CoEuiDimmer extends Component {
  constructor(parent) {
    let selector = 'eui-dimmer';
    super(parent, selector);
    //https://citnet.tech.ec.europa.eu/CITnet/stash/projects/CSDR/repos/eui/browse/packages/components-next/src/lib/layout/eui-dimmer/dimmer.component.ts
  }
  async isDimmerActive() {
    return await elementAttributeContains(this.currentPath, 'class', 'eui-dimmer--active');
  }
}


